<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.00"
           xmlns:emcs="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:EMCS:V2.02"
           xmlns:tms="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:TMS:V2.02"
           xmlns:tcl="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:TCL:V2.02"
           xmlns:doc="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:DOC:V2.02"
           xmlns:ds="http://www.w3.org/2000/09/xmldsig#"
           xmlns="http://uri.etsi.org/01903/v1.3.2#"
           
           xmlns:ddtypes="http://www.mf.gov.pl/schematy/EDD/DDTYPES/2020/05/"
           xmlns:dd704="http://www.mf.gov.pl/schematy/EDD/DD704/2020/05/"
           xmlns:dd716="http://www.mf.gov.pl/schematy/EDD/DD716/2020/05/"
           xmlns:dd733="http://www.mf.gov.pl/schematy/EDD/DD733/2020/05/"
           xmlns:dd801="http://www.mf.gov.pl/schematy/EDD/DD801/2020/05/"
           xmlns:dd801B="http://www.mf.gov.pl/schematy/EDD/DD801B/2020/05/"
           xmlns:dd802="http://www.mf.gov.pl/schematy/EDD/DD802/2020/05/"
           xmlns:dd803="http://www.mf.gov.pl/schematy/EDD/DD803/2020/05/"
           xmlns:dd810="http://www.mf.gov.pl/schematy/EDD/DD810/2020/05/"
           xmlns:dd813="http://www.mf.gov.pl/schematy/EDD/DD813/2020/05/"
           xmlns:dd813B="http://www.mf.gov.pl/schematy/EDD/DD813B/2020/05/"
           xmlns:dd818="http://www.mf.gov.pl/schematy/EDD/DD818/2020/05/"
           xmlns:dd818B="http://www.mf.gov.pl/schematy/EDD/DD818B/2020/05/"
           xmlns:dd829="http://www.mf.gov.pl/schematy/EDD/DD829/2020/05/"
           xmlns:dd839="http://www.mf.gov.pl/schematy/EDD/DD839/2020/05/"
           xmlns:dd905="http://www.mf.gov.pl/schematy/EDD/DD905/2020/05/"
           xmlns:ddpz="http://www.mf.gov.pl/schematy/EDD/DDPZ/2020/05/"
           
           xmlns:req="http://www.mf.gov.pl/schematy/EDD/EDDToTrader/2020/05/"
           targetNamespace="http://www.mf.gov.pl/schematy/EDD/EDDToTrader/2020/05/">
  <!--============================================-->
  <!--=====    Komunikat EMCS PL 2 e-DD      =====-->
  <!--=====    do podmiotu gospodarczego     =====-->
  <!--============================================-->

  <!--===== Imports =====-->
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:EMCS:V2.02" schemaLocation="types.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:TMS:V2.02" schemaLocation="tms.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:TCL:V2.02" schemaLocation="tcl.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:DOC:V2.02" schemaLocation="doc.xsd" />

  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DDTYPES/2020/05/" schemaLocation="ddTypes.xsd"/>
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD704/2020/05/" schemaLocation="dd704.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD716/2020/05/" schemaLocation="dd716.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD733/2020/05/" schemaLocation="dd733.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD801/2020/05/" schemaLocation="dd801.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD801B/2020/05/" schemaLocation="dd801B.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD802/2020/05/" schemaLocation="dd802.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD803/2020/05/" schemaLocation="dd803.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD810/2020/05/" schemaLocation="dd810.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD813/2020/05/" schemaLocation="dd813.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD813B/2020/05/" schemaLocation="dd813B.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD818/2020/05/" schemaLocation="dd818.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD818B/2020/05/" schemaLocation="dd818B.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD829/2020/05/" schemaLocation="dd829.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD839/2020/05/" schemaLocation="dd839.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD905/2020/05/" schemaLocation="dd905.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DDPZ/2020/05/" schemaLocation="ddpz.xsd" />

  <xs:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="xmldsig-core-schema.xsd" />
  <xs:import namespace="http://uri.etsi.org/01903/v1.3.2#" schemaLocation="XAdES.xsd" />

  <!--===== Root Element =====-->
  <xs:element name="EDDToTrader" type="req:EDDToTraderType" />

  <!--===== EMCS Data Groups Declarations =====-->
  <xs:complexType name="EDDToTraderType">
    <xs:sequence>
      <xs:element name="Message" type="req:MessageType" />
      <xs:element ref="ds:Signature"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="MessageType">
    <xs:choice>
      <xs:element ref="dd704:DD704" />
      <xs:element ref="dd716:DD716" />
      <xs:element ref="dd733:DD733" />
      <xs:element ref="dd801:DD801" />
      <xs:element ref="dd801B:DD801B" />
      <xs:element ref="dd802:DD802" />
      <xs:element ref="dd803:DD803" />
      <xs:element ref="dd810:DD810" />
      <xs:element ref="dd813:DD813" />
      <xs:element ref="dd813B:DD813B" />
      <xs:element ref="dd818:DD818" />
      <xs:element ref="dd818B:DD818B" />
      <xs:element ref="dd829:DD829" />
      <xs:element ref="dd839:DD839" />
      <xs:element ref="dd905:DD905" />
      <xs:element ref="ddpz:DDPZ" />
    </xs:choice>
  </xs:complexType>
</xs:schema>
